#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include "Preconditioners.hpp"

namespace Dune
{
  template class SeqJac<Precompiled::Matrix, Precompiled::Vector, Precompiled::Vector>;
#if DUNE_VERSION_LT(DUNE_ISTL,2,7)
  template class SeqGS<Precompiled::Matrix, Precompiled::Vector, Precompiled::Vector>;
#endif
  template class SeqSOR<Precompiled::Matrix, Precompiled::Vector, Precompiled::Vector>;
  template class SeqSSOR<Precompiled::Matrix, Precompiled::Vector, Precompiled::Vector>;
  template class Richardson<Precompiled::Vector, Precompiled::Vector>;
  template class SeqILU<Precompiled::Matrix, Precompiled::Vector, Precompiled::Vector>;
  template class SeqILDL<Precompiled::Matrix, Precompiled::Vector, Precompiled::Vector>;

} // end namespace Dune
